CC=gcc
CFLAGS=-Wall -lraylib -lm -lpthread -ldl -lX11

WIN_CC=x86_64-w64-mingw32-gcc
WIN_LIB=-Llib -Iinclude -Wall -lraylib -lopengl32 -lgdi32 -lwinmm -lcomdlg32 -lole32
WIN_CFLAGS=-Wall -lraylib -lm -lpthread

GAME=hanafuda_hachi_hachi

BUTLER=./butler/butler
ITCH_CHANNEL=hanafuda
ITCH_CHANNEL_LINUX=$(ITCH_CHANNEL)-linux-x64
ITCH_CHANNEL_WINDOWS=$(ITCH_CHANNEL)-windows-x64
ITCH_CHANNEL_MAC=$(ITCH_CHANNEL)-mac

.PHONY: clean run

run: $(GAME)_linux
	./$(GAME)_linux

$(GAME)_linux: *.c
	$(CC) *.c $(CFLAGS) -o $(GAME)_linux

clean:
	rm -f ./$(GAME)_linux
